Fetch Report From Sdk
curl --request GET \
--url https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1751891783526,
"transaction_id": "2cfb994cc4a64e058d2660114d345663",
"sub_code": "SUCCESS",
"message": "Credit report fetched successfully.",
"data": {
"pan": null,
"mobile": "9971228137",
"name": "RAM SINGH BHANDARI",
"credit_score": "744",
"credit_report": {
"InquiryResponseHeader": {
"ClientID": "XXXXXXXXX",
"CustRefField": "123456",
"ReportOrderNO": "17074982",
"ProductCode": [
"IDCCR"
],
"SuccessCode": "1",
"Date": "2025-04-23",
"Time": "17:09:26"
},
"InquiryRequestInfo": {
"InquiryPurpose": "05",
"FirstName": "RAM SINGH BHANDARI",
"DOB": "1960-05-30",
"IDDetails": [
{
"IDType": "T",
"IDValue": "ARSPB2789E"
}
]
},
"CCRResponse": {
"Status": "1",
"CIRReportDataLst": [
{
"CIRReportData": {
"IDAndContactInfo": {
"PersonalInfo": {
"Name": {
"FullName": "RAM SINGH BHANDARI"
},
"DateOfBirth": "1960-05-30",
"Gender": "Male"
},
"IdentityInfo": {
"PANId": [
{
"IdNumber": "ARSPB2789E",
"ReportedDate": "2017-05-31"
}
]
},
"AddressInfo": [
{
"Address": "169 RAJEEV NAGAR, DEHRADUN",
"Postal": "249145"
}
]
},
"RetailAccountDetails": [
{
"AccountNumber": "XXXXXXXXXXXXX4846",
"Institution": "BANK",
"AccountType": "Personal Loan",
"Balance": "256239",
"SanctionAmount": "300000",
"DateOpened": "2017-02-06",
"AccountStatus": "Standard"
}
],
"RetailAccountsSummary": {
"NoOfAccounts": "2",
"NoOfActiveAccounts": "1",
"TotalBalanceAmount": "256239.00",
"TotalSanctionAmount": "300000.00"
},
"ScoreDetails": [
{
"Type": "ERS",
"Version": "4.0",
"Value": "703"
}
],
"Enquiries": [
{
"Institution": "BANK",
"Date": "2019-08-27",
"RequestPurpose": "00"
}
]
}
}
]
}
}
}
}
Equifax
Download Report
This API is used to download the Credit Report using the transaction_id provided after the Initiate Session call.
GET
/
v2
/
financial-services
/
credit-bureau
/
credit-report
/
sdk
/
report
Fetch Report From Sdk
curl --request GET \
--url https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1751891783526,
"transaction_id": "2cfb994cc4a64e058d2660114d345663",
"sub_code": "SUCCESS",
"message": "Credit report fetched successfully.",
"data": {
"pan": null,
"mobile": "9971228137",
"name": "RAM SINGH BHANDARI",
"credit_score": "744",
"credit_report": {
"InquiryResponseHeader": {
"ClientID": "XXXXXXXXX",
"CustRefField": "123456",
"ReportOrderNO": "17074982",
"ProductCode": [
"IDCCR"
],
"SuccessCode": "1",
"Date": "2025-04-23",
"Time": "17:09:26"
},
"InquiryRequestInfo": {
"InquiryPurpose": "05",
"FirstName": "RAM SINGH BHANDARI",
"DOB": "1960-05-30",
"IDDetails": [
{
"IDType": "T",
"IDValue": "ARSPB2789E"
}
]
},
"CCRResponse": {
"Status": "1",
"CIRReportDataLst": [
{
"CIRReportData": {
"IDAndContactInfo": {
"PersonalInfo": {
"Name": {
"FullName": "RAM SINGH BHANDARI"
},
"DateOfBirth": "1960-05-30",
"Gender": "Male"
},
"IdentityInfo": {
"PANId": [
{
"IdNumber": "ARSPB2789E",
"ReportedDate": "2017-05-31"
}
]
},
"AddressInfo": [
{
"Address": "169 RAJEEV NAGAR, DEHRADUN",
"Postal": "249145"
}
]
},
"RetailAccountDetails": [
{
"AccountNumber": "XXXXXXXXXXXXX4846",
"Institution": "BANK",
"AccountType": "Personal Loan",
"Balance": "256239",
"SanctionAmount": "300000",
"DateOpened": "2017-02-06",
"AccountStatus": "Standard"
}
],
"RetailAccountsSummary": {
"NoOfAccounts": "2",
"NoOfActiveAccounts": "1",
"TotalBalanceAmount": "256239.00",
"TotalSanctionAmount": "300000.00"
},
"ScoreDetails": [
{
"Type": "ERS",
"Version": "4.0",
"Value": "703"
}
],
"Enquiries": [
{
"Institution": "BANK",
"Date": "2019-08-27",
"RequestPurpose": "00"
}
]
}
}
]
}
}
}
}
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The transaction ID for the credit report request. Transaction ID received as query parameter on your given redirect_uri